#include <iostream>

class A {
public:
  A() {std::cout << "Aコンストラクタ" << '\n';}
  ~A(){std::cout << "Aデストラクタ" << '\n';}
};

class B{
public:
  B(){std::cout << "Bコンストラクタ" << '\n';}
  ~B(){std::cout << "Bデストラクタ" << '\n';}
};

class C{
public:
  C(){std::cout << "Cコンストラクタ" << '\n';}
  ~C(){std::cout << "Cデストラクタ" << '\n';}
};

class myclass : public A, public B, public C {
public:
  myclass(){
    std::cout << "myclassコンストラクタ" << '\n';
  }
  ~myclass(){
    std::cout << "myclassデストラクタ" << '\n';
  }
};

int main(int argc, char const *argv[]) {
  myclass ob;
  return 0;
}
